!> \file massb-ant_perturb_Tparam.f90
!!  Calcule le mass balance en mode perturbation
!!  avec la temperature parametree
!<

!> SUBROUTINE: massb_perturb_Tparam 
!! \author ...
!! \date ...
!! @note  Routine qui calcule le mass balance en mode perturbation
!! avec la temperature parametree
!! version pour l'antarctique
!! simple copie nettoyee de massb_anteis_perturb
!! @note Used modules:
!! @note    - use module3D_phy
!! @note    - use climat_perturb_mod
!<


! version pour l'antarctique ---------------------------------------------------------------
! simple copie nettoyee de massb_anteis_perturb

subroutine massb_perturb_Tparam               ! calcule le mass balance en mode perturbation
                                              ! avec la temperature parametree
                                              ! version pour l'antarctique
                                              ! simple copie nettoyee de massb_anteis_perturb


use module3D_phy
use climat_perturb_mod
implicit none

!     surface temperature et accumulation

do j=1,ny
   do i=1,nx


      if(retroac.eq.1) then

         tann(i,j)=ta0(i,j)-0.00914*(s(i,j)-s0(i,j))+tafor
         tjuly(i,j)=tann(i,j)-17.65+0.00222*s(i,j)  &
              +0.40802*abs(ylat(i,j))
         
         acc(i,j)=precip(i,j)*exp(rappact*(tann(i,j)-ta0(i,j)))

      else if(retroac.eq.0) then

         tann(i,j)=ta0(i,j)
         tjuly(i,j)=tann(i,j)
         
         acc(i,j)=precip(i,j)*exp(rappact*(tann(i,j)-ta0(i,j)))
              
      endif
   end do
end do

!     ablation (fonction de T et acc) est maintenant appelee dans le main,
!     a l'utilisation et dans le pas de temps

!     massb_perturb_Tparam est appeles par forclim

      
debug_3D(:,:,29)=Tann(:,:)-Ta0(:,:)
debug_3D(:,:,30)=Acc(:,:)-precip(:,:)
!debug_3D(:,:,31)=Acc(:,:)-bmelt(:,:)
      

return
end subroutine massb_perturb_Tparam
